
const int waterLevelPin = 1;
const int soilMoisturePin = 2;
const int pumpRelayActivation = 4;
const int hearbeatLight = 3;

int counter = 0;
float currentSoilMoisture = 0;
float currentWaterLevel = 0;

void setup() {
  pinMode(pumpRelayActivation, OUTPUT);
  pinMode(hearbeatLight, OUTPUT);
}

void loop() {
  counter += 1;
  delay(125);

  // Hearbeat Toggle
  if (counter % 2 == 0){
    //digitalWrite(hearbeatLight, HIGH);
  }
  else{
    //digitalWrite(hearbeatLight, LOW);
  }

  // Relay Check
  if (counter % 40 == 0){
    digitalWrite(pumpRelayActivation, HIGH);
  }
  else if (counter % 70 == 0){
    digitalWrite(pumpRelayActivation, LOW);
  }

  //Soil Moisture Data Calculation
  for (int i = 0; i <= 100; i++) 
  { 
    currentSoilMoisture = currentSoilMoisture + analogRead(soilMoisturePin); 
    delay(1); 
  } 
  
  currentSoilMoisture = currentSoilMoisture/100.0; 

  if (currentSoilMoisture > 400){
    
  }
  else{
    
  }

  //Water Level Data
  int currentWaterLevel = analogRead(waterLevelPin);

  if (currentWaterLevel < 10){
    digitalWrite(hearbeatLight, LOW);
  }
  else{
    digitalWrite(hearbeatLight, HIGH);
  }

  // Counter Reset
  if (counter >= 71){
    counter = 0;
  }
}
